.news-container {
    display: flex;
    flex-direction: column;
    height: auto !important;
    background-color: var(--anresis-color-white-background);
    margin-bottom: 0 !important;
    padding-bottom: 0 !important;

    .news-container-image {
        width: 100%;
        aspect-ratio: 16 / 9;
        background: #7190A0;
        flex-shrink: 0;

        > img {
            aspect-ratio: 16 / 9;
            display: block;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    }

    .news-container-content {
        padding: var(--anresis-spacing-4);
        display: flex;
        flex-direction: column;
        flex-grow: 1;
    }

    .news-title {
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;  
        overflow: hidden;
        min-height: 2lh;
    }

    .news-link-image {
        margin-block-start: auto;
        align-self: flex-end;
        height: 32px;
        width: 32px;
        object-fit: contain;
        filter: var(--anresis-color-text-filter);
    }

    &:hover {
        .news-container-image {
            background-color: #83a3b4;
        }

        .news-link-image {
            filter: var(--anresis-color-grey-7-filter);
        }
    }
}

.news-list-actions {
    margin-top: var(--anresis-spacing-4);
}

.news-slider {
    position: relative;
    overflow-x: clip;
    overflow-y: visible;
    padding-bottom: var(--anresis-spacing-4);

    .swiper-pagination {
        bottom: calc(-1 * var(--anresis-spacing-5));

        .swiper-pagination-bullet {
            width: 15px;
            height: 15px;
            opacity: 0.25;
            background-color: var(--anresis-color-primary-background);
            margin: 0 var(--anresis-spacing-2) !important;

            &:hover,
            &.swiper-pagination-bullet-active {
                opacity: 0.75;
            }
        }
    }
}

.news {
    .swiper-button-prev {
        left: 2rem;
    }

    .swiper-button-next {
        right: 2rem;
    }


    .swiper-button-prev,
    .swiper-button-next {
        background-color: rgba(255,255,255,1);
        width: 60px;
        height: 60px;
        border-radius: 50%;
        top: calc(50% - var(--anresis-spacing-4));
        margin: 0 !important;
        transform: translateY(-50%);

        > svg {
            filter: var(--anresis-color-primary-filter);
            width: 40px;
            height: 40px;
        }

        @media (max-width: 767px) {
            display: none;
        }
    }

}
